ur_rna.RNAstructure.backend

## Class RNA

- java.lang.Object
- - ur_rna.RNAstructure.backend.Thermodynamics
  - - ur_rna.RNAstructure.backend.RNA

- Direct Known Subclasses:
    HybridRNA

      public class RNA
      extends Thermodynamics

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `swigCPtr`

    - ### Fields inherited from class ur_rna.RNAstructure.backend.Thermodynamics

      `swigCMemOwn`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RNA()`
    `` | `RNA(boolean IsRNA)`
    `protected` | `RNA(long cPtr, boolean cMemoryOwn)`
    `` | `RNA(java.lang.String sequence)`
    `` | `RNA(java.lang.String sequence, boolean IsRNA)`
    `` | `RNA(java.lang.String filename, int fileType)`
    `` | `RNA(java.lang.String filename, int fileType, boolean IsRNA)`
    `` | `RNA(java.lang.String filepathOrSequence, int fileType, java.lang.String alphabetName)`
    `` | `RNA(java.lang.String filepathOrSequence, int fileType, java.lang.String alphabetName, boolean allowUnknownBases)`
    `` | `RNA(java.lang.String filepathOrSequence, int fileType, java.lang.String alphabetName, boolean allowUnknownBases, boolean skipThermoTables)`
    `` | `RNA(java.lang.String filepathOrSequence, int fileType, Thermodynamics copyThermo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `AddComment(java.lang.String comment)`
    `int` | `AddComment(java.lang.String comment, int structurenumber)`
    `int` | `BreakPseudoknot()`
    `int` | `BreakPseudoknot(boolean minimum_energy)`
    `int` | `BreakPseudoknot(boolean minimum_energy, int structurenumber)`
    `int` | `BreakPseudoknot(boolean minimum_energy, int structurenumber, boolean useFastMethod)`
    `double` | `CalculateFreeEnergy()`
    `double` | `CalculateFreeEnergy(int structurenumber)`
    `double` | `CalculateFreeEnergy(int structurenumber, boolean UseSimpleMBLoopRules)`
    `boolean` | `ContainsPseudoknot(int structurenumber)`
    `void` | `CopyThermo(Thermodynamics copy)`
    `void` | `delete()`
    `int` | `DetermineDrawingCoordinates(int height, int width)`
    `int` | `DetermineDrawingCoordinates(int height, int width, int structurenumber)`
    `void` | `EnsureStructureCapcacity(int minimumStructures)`
    `protected void` | `finalize()`
    `int` | `FoldSingleStrand()`
    `int` | `FoldSingleStrand(float percent)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures, int window)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures, int window, java.lang.String savefile)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures, int window, java.lang.String savefile, int maxinternalloopsize)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures, int window, java.lang.String savefile, int maxinternalloopsize, boolean mfeonly)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures, int window, java.lang.String savefile, int maxinternalloopsize, boolean mfeonly, boolean simple_iloops)`
    `int` | `FoldSingleStrand(float percent, int maximumstructures, int window, java.lang.String savefile, int maxinternalloopsize, boolean mfeonly, boolean simple_iloops, boolean disablecoax)`
    `int` | `ForceDoubleStranded(int i)`
    `int` | `ForceFMNCleavage(int i)`
    `int` | `ForceMaximumPairingDistance(int distance)`
    `int` | `ForceModification(int i)`
    `int` | `ForcePair(int i, int j)`
    `int` | `ForceProhibitPair(int i, int j)`
    `int` | `ForceSingleStranded(int i)`
    `int` | `GenerateAllSuboptimalStructures()`
    `int` | `GenerateAllSuboptimalStructures(float percent)`
    `int` | `GenerateAllSuboptimalStructures(float percent, double deltaG)`
    `boolean` | `GetBackboneType()`
    `java.lang.String` | `GetCommentString()`
    `java.lang.String` | `GetCommentString(int structurenumber)`
    `protected static long` | `getCPtr(RNA obj)`
    `double` | `GetEnsembleDefect()`
    `double` | `GetEnsembleDefect(int structurenumber)`
    `double` | `GetEnsembleEnergy()`
    `int` | `GetErrorCode()`
    `java.lang.String` | `GetErrorDetails()`
    `static java.lang.String` | `GetErrorMessage(int error)`
    `int` | `GetForcedDoubleStranded(int constraintnumber)`
    `int` | `GetForcedFMNCleavage(int constraintnumber)`
    `int` | `GetForcedModification(int constraintnumber)`
    `int` | `GetForcedPair(int constraintnumber, boolean fiveprime)`
    `int` | `GetForcedProhibitedPair(int constraintnumber, boolean fiveprime)`
    `int` | `GetForcedSingleStranded(int constraintnumber)`
    `double` | `GetFreeEnergy(int structurenumber)`
    `java.lang.String` | `GetFullErrorMessage()`
    `int` | `getIntAt(int i)`
    `int` | `getInts(int[] arr, int size)`
    `int` | `GetLabelXCoordinate(int i)`
    `int` | `GetLabelYCoordinate(int i)`
    `int` | `GetMaximumPairingDistance()`
    `char` | `GetNucleotide(int i)`
    `int` | `GetNucleotideXCoordinate(int i)`
    `int` | `GetNucleotideYCoordinate(int i)`
    `int` | `GetNumberOfForcedDoubleStranded()`
    `int` | `GetNumberOfForcedFMNCleavages()`
    `int` | `GetNumberOfForcedModifications()`
    `int` | `GetNumberOfForcedPairs()`
    `int` | `GetNumberOfForcedProhibitedPairs()`
    `int` | `GetNumberOfForcedSingleStranded()`
    `int` | `GetPair(int i)`
    `int` | `GetPair(int i, int structurenumber)`
    `double` | `GetPairEnergy(int i, int j)`
    `int` | `GetPairProbabilities(double[] arr, int size)`
    `double` | `GetPairProbability(int i, int j)`
    `ProgressHandler` | `GetProgress()`
    `java.lang.String` | `GetSequence()`
    `int` | `GetSequenceLength()`
    `structure` | `GetStructure()`
    `int` | `GetStructureNumber()`
    `void` | `initInts()`
    `int` | `MaximizeExpectedAccuracy()`
    `int` | `MaximizeExpectedAccuracy(double maxPercent)`
    `int` | `MaximizeExpectedAccuracy(double maxPercent, int maxStructures)`
    `int` | `MaximizeExpectedAccuracy(double maxPercent, int maxStructures, int window)`
    `int` | `MaximizeExpectedAccuracy(double maxPercent, int maxStructures, int window, double gamma)`
    `int` | `PartitionFunction()`
    `int` | `PartitionFunction(java.lang.String savefile)`
    `int` | `PartitionFunction(java.lang.String savefile, double temperature)`
    `int` | `PartitionFunction(java.lang.String savefile, double temperature, boolean disablecoax)`
    `int` | `PartitionFunction(java.lang.String savefile, double temperature, boolean disablecoax, boolean restoreSHAPE)`
    `int` | `PredictProbablePairs()`
    `int` | `PredictProbablePairs(float probability)`
    `int` | `ProbKnot()`
    `int` | `ProbKnot(int iterations)`
    `int` | `ProbKnot(int iterations, int MinHelixLength)`
    `int` | `ProbKnotFromSample()`
    `int` | `ProbKnotFromSample(int iterations)`
    `int` | `ProbKnotFromSample(int iterations, int MinHelixLength)`
    `int` | `ReadConstraints(java.lang.String filename)`
    `int` | `ReadDMS(java.lang.String filename)`
    `int` | `ReadDSO(java.lang.String filename)`
    `int` | `ReadExperimentalPairBonus(java.lang.String filename, double experimentalOffset, double experimentalScaling)`
    `int` | `ReadSHAPE(java.lang.String filename, double slope, double intercept)`
    `int` | `ReadSHAPE(java.lang.String filename, double dsSlope, double dsIntercept, double ssSlope, double ssIntercept)`
    `int` | `ReadSHAPE(java.lang.String filename, double dsSlope, double dsIntercept, double ssSlope, double ssIntercept, RestraintType modifier)`
    `int` | `ReadSHAPE(java.lang.String filename, double slope, double intercept, RestraintType modifier)`
    `int` | `ReadSHAPE(java.lang.String filename, double slope, double intercept, RestraintType modifier, boolean IsPseudoEnergy)`
    `int` | `ReadSSO(java.lang.String filename)`
    `int` | `ReFoldSingleStrand()`
    `int` | `ReFoldSingleStrand(float percent)`
    `int` | `ReFoldSingleStrand(float percent, int maximumstructures)`
    `int` | `ReFoldSingleStrand(float percent, int maximumstructures, int window)`
    `int` | `RemoveBasePair(int i)`
    `int` | `RemoveBasePair(int i, int structurenumber)`
    `void` | `RemoveConstraints()`
    `int` | `RemovePairs()`
    `int` | `RemovePairs(int structurenumber)`
    `int` | `RemovePairs(int structurenumber, boolean removeIfLastStructure)`
    `void` | `ResetError()`
    `void` | `SetErrorDetails(java.lang.String details)`
    `int` | `SetExtrinsic(int i, int j, double k)`
    `void` | `SetProgress(ProgressHandler Progress)`
    `int` | `SpecifyPair(int i, int j)`
    `int` | `SpecifyPair(int i, int j, int structurenumber)`
    `int` | `Stochastic()`
    `int` | `Stochastic(int structures)`
    `int` | `Stochastic(int structures, int seed)`
    `void` | `StopProgress()`
    `int` | `WriteConstraints(java.lang.String filename)`
    `int` | `WriteCt(java.lang.String filename)`
    `int` | `WriteDotBracket(java.lang.String filename)`
    `int` | `WriteDotBracket(java.lang.String filename, int structurenumber)`
    `int` | `WriteDotBracket(java.lang.String filename, int structurenumber, DotBracketFormat format)`
    `int` | `WriteThermodynamicDetails(java.lang.String filename)`
    `int` | `WriteThermodynamicDetails(java.lang.String filename, boolean UseSimpleMBLoopRules)`

    - ### Methods inherited from class ur_rna.RNAstructure.backend.Thermodynamics

      `ClearEnergies, ClearEnthalpies, GetAlphabetName, getCPtr, GetDatatable, GetEnergyRead, GetEnthalpyTable, GetEnthalpyTable, getIsrna, GetTemperature, IsAlphabetRead, ReadThermodynamic, ReadThermodynamic, ReadThermodynamic, ReadThermodynamic, ReloadDataTables, ReloadDataTables, setIsrna, SetTemperature, VerifyThermodynamic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### RNA

          public RNA()

    - #### RNA

          public RNA(boolean IsRNA)

    - #### RNA

          protected RNA(long cPtr,
                        boolean cMemoryOwn)

    - #### RNA

          public RNA(java.lang.String sequence)

    - #### RNA

          public RNA(java.lang.String sequence,
                     boolean IsRNA)

    - #### RNA

          public RNA(java.lang.String filename,
                     int fileType)

    - #### RNA

          public RNA(java.lang.String filename,
                     int fileType,
                     boolean IsRNA)

    - #### RNA

          public RNA(java.lang.String filepathOrSequence,
                     int fileType,
                     java.lang.String alphabetName)

    - #### RNA

          public RNA(java.lang.String filepathOrSequence,
                     int fileType,
                     java.lang.String alphabetName,
                     boolean allowUnknownBases)

    - #### RNA

          public RNA(java.lang.String filepathOrSequence,
                     int fileType,
                     java.lang.String alphabetName,
                     boolean allowUnknownBases,
                     boolean skipThermoTables)

    - #### RNA

          public RNA(java.lang.String filepathOrSequence,
                     int fileType,
                     Thermodynamics copyThermo)

  - ### Method Detail

    - #### AddComment

          public int AddComment(java.lang.String comment)

    - #### AddComment

          public int AddComment(java.lang.String comment,
                                int structurenumber)

    - #### BreakPseudoknot

          public int BreakPseudoknot()

    - #### BreakPseudoknot

          public int BreakPseudoknot(boolean minimum_energy)

    - #### BreakPseudoknot

          public int BreakPseudoknot(boolean minimum_energy,
                                     int structurenumber)

    - #### BreakPseudoknot

          public int BreakPseudoknot(boolean minimum_energy,
                                     int structurenumber,
                                     boolean useFastMethod)

    - #### CalculateFreeEnergy

          public double CalculateFreeEnergy()

    - #### CalculateFreeEnergy

          public double CalculateFreeEnergy(int structurenumber)

    - #### CalculateFreeEnergy

          public double CalculateFreeEnergy(int structurenumber,
                                            boolean UseSimpleMBLoopRules)

    - #### ContainsPseudoknot

          public boolean ContainsPseudoknot(int structurenumber)

    - #### CopyThermo

          public void CopyThermo(Thermodynamics copy)

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `Thermodynamics`

    - #### DetermineDrawingCoordinates

          public int DetermineDrawingCoordinates(int height,
                                                 int width)

    - #### DetermineDrawingCoordinates

          public int DetermineDrawingCoordinates(int height,
                                                 int width,
                                                 int structurenumber)

    - #### EnsureStructureCapcacity

          public void EnsureStructureCapcacity(int minimumStructures)

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `Thermodynamics`

    - #### FoldSingleStrand

          public int FoldSingleStrand()

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures,
                                      int window)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures,
                                      int window,
                                      java.lang.String savefile)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures,
                                      int window,
                                      java.lang.String savefile,
                                      int maxinternalloopsize)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures,
                                      int window,
                                      java.lang.String savefile,
                                      int maxinternalloopsize,
                                      boolean mfeonly)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures,
                                      int window,
                                      java.lang.String savefile,
                                      int maxinternalloopsize,
                                      boolean mfeonly,
                                      boolean simple_iloops)

    - #### FoldSingleStrand

          public int FoldSingleStrand(float percent,
                                      int maximumstructures,
                                      int window,
                                      java.lang.String savefile,
                                      int maxinternalloopsize,
                                      boolean mfeonly,
                                      boolean simple_iloops,
                                      boolean disablecoax)

    - #### ForceDoubleStranded

          public int ForceDoubleStranded(int i)

    - #### ForceFMNCleavage

          public int ForceFMNCleavage(int i)

    - #### ForceMaximumPairingDistance

          public int ForceMaximumPairingDistance(int distance)

    - #### ForceModification

          public int ForceModification(int i)

    - #### ForcePair

          public int ForcePair(int i,
                               int j)

    - #### ForceProhibitPair

          public int ForceProhibitPair(int i,
                                       int j)

    - #### ForceSingleStranded

          public int ForceSingleStranded(int i)

    - #### GenerateAllSuboptimalStructures

          public int GenerateAllSuboptimalStructures()

    - #### GenerateAllSuboptimalStructures

          public int GenerateAllSuboptimalStructures(float percent)

    - #### GenerateAllSuboptimalStructures

          public int GenerateAllSuboptimalStructures(float percent,
                                                     double deltaG)

    - #### GetBackboneType

          public boolean GetBackboneType()

    - #### GetCommentString

          public java.lang.String GetCommentString()

    - #### GetCommentString

          public java.lang.String GetCommentString(int structurenumber)

    - #### getCPtr

          protected static long getCPtr(RNA obj)

    - #### GetEnsembleDefect

          public double GetEnsembleDefect()

    - #### GetEnsembleDefect

          public double GetEnsembleDefect(int structurenumber)

    - #### GetEnsembleEnergy

          public double GetEnsembleEnergy()

    - #### GetErrorCode

          public int GetErrorCode()

    - #### GetErrorDetails

          public java.lang.String GetErrorDetails()

    - #### GetErrorMessage

          public static java.lang.String GetErrorMessage(int error)

    - #### GetForcedDoubleStranded

          public int GetForcedDoubleStranded(int constraintnumber)

    - #### GetForcedFMNCleavage

          public int GetForcedFMNCleavage(int constraintnumber)

    - #### GetForcedModification

          public int GetForcedModification(int constraintnumber)

    - #### GetForcedPair

          public int GetForcedPair(int constraintnumber,
                                   boolean fiveprime)

    - #### GetForcedProhibitedPair

          public int GetForcedProhibitedPair(int constraintnumber,
                                             boolean fiveprime)

    - #### GetForcedSingleStranded

          public int GetForcedSingleStranded(int constraintnumber)

    - #### GetFreeEnergy

          public double GetFreeEnergy(int structurenumber)

    - #### GetFullErrorMessage

          public java.lang.String GetFullErrorMessage()

    - #### getIntAt

          public int getIntAt(int i)

    - #### getInts

          public int getInts(int[] arr,
                             int size)

    - #### GetLabelXCoordinate

          public int GetLabelXCoordinate(int i)

    - #### GetLabelYCoordinate

          public int GetLabelYCoordinate(int i)

    - #### GetMaximumPairingDistance

          public int GetMaximumPairingDistance()

    - #### GetNucleotide

          public char GetNucleotide(int i)

    - #### GetNucleotideXCoordinate

          public int GetNucleotideXCoordinate(int i)

    - #### GetNucleotideYCoordinate

          public int GetNucleotideYCoordinate(int i)

    - #### GetNumberOfForcedDoubleStranded

          public int GetNumberOfForcedDoubleStranded()

    - #### GetNumberOfForcedFMNCleavages

          public int GetNumberOfForcedFMNCleavages()

    - #### GetNumberOfForcedModifications

          public int GetNumberOfForcedModifications()

    - #### GetNumberOfForcedPairs

          public int GetNumberOfForcedPairs()

    - #### GetNumberOfForcedProhibitedPairs

          public int GetNumberOfForcedProhibitedPairs()

    - #### GetNumberOfForcedSingleStranded

          public int GetNumberOfForcedSingleStranded()

    - #### GetPair

          public int GetPair(int i)

    - #### GetPair

          public int GetPair(int i,
                             int structurenumber)

    - #### GetPairEnergy

          public double GetPairEnergy(int i,
                                      int j)

    - #### GetPairProbabilities

          public int GetPairProbabilities(double[] arr,
                                          int size)

    - #### GetPairProbability

          public double GetPairProbability(int i,
                                           int j)

    - #### GetProgress

          public ProgressHandler GetProgress()

    - #### GetSequence

          public java.lang.String GetSequence()

    - #### GetSequenceLength

          public int GetSequenceLength()

    - #### GetStructure

          public structure GetStructure()

    - #### GetStructureNumber

          public int GetStructureNumber()

    - #### initInts

          public void initInts()

    - #### MaximizeExpectedAccuracy

          public int MaximizeExpectedAccuracy()

    - #### MaximizeExpectedAccuracy

          public int MaximizeExpectedAccuracy(double maxPercent)

    - #### MaximizeExpectedAccuracy

          public int MaximizeExpectedAccuracy(double maxPercent,
                                              int maxStructures)

    - #### MaximizeExpectedAccuracy

          public int MaximizeExpectedAccuracy(double maxPercent,
                                              int maxStructures,
                                              int window)

    - #### MaximizeExpectedAccuracy

          public int MaximizeExpectedAccuracy(double maxPercent,
                                              int maxStructures,
                                              int window,
                                              double gamma)

    - #### PartitionFunction

          public int PartitionFunction()

    - #### PartitionFunction

          public int PartitionFunction(java.lang.String savefile)

    - #### PartitionFunction

          public int PartitionFunction(java.lang.String savefile,
                                       double temperature)

    - #### PartitionFunction

          public int PartitionFunction(java.lang.String savefile,
                                       double temperature,
                                       boolean disablecoax)

    - #### PartitionFunction

          public int PartitionFunction(java.lang.String savefile,
                                       double temperature,
                                       boolean disablecoax,
                                       boolean restoreSHAPE)

    - #### PredictProbablePairs

          public int PredictProbablePairs()

    - #### PredictProbablePairs

          public int PredictProbablePairs(float probability)

    - #### ProbKnot

          public int ProbKnot()

    - #### ProbKnot

          public int ProbKnot(int iterations)

    - #### ProbKnot

          public int ProbKnot(int iterations,
                              int MinHelixLength)

    - #### ProbKnotFromSample

          public int ProbKnotFromSample()

    - #### ProbKnotFromSample

          public int ProbKnotFromSample(int iterations)

    - #### ProbKnotFromSample

          public int ProbKnotFromSample(int iterations,
                                        int MinHelixLength)

    - #### ReadConstraints

          public int ReadConstraints(java.lang.String filename)

    - #### ReadDMS

          public int ReadDMS(java.lang.String filename)

    - #### ReadDSO

          public int ReadDSO(java.lang.String filename)

    - #### ReadExperimentalPairBonus

          public int ReadExperimentalPairBonus(java.lang.String filename,
                                               double experimentalOffset,
                                               double experimentalScaling)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               double slope,
                               double intercept)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               double dsSlope,
                               double dsIntercept,
                               double ssSlope,
                               double ssIntercept)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               double dsSlope,
                               double dsIntercept,
                               double ssSlope,
                               double ssIntercept,
                               RestraintType modifier)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               double slope,
                               double intercept,
                               RestraintType modifier)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               double slope,
                               double intercept,
                               RestraintType modifier,
                               boolean IsPseudoEnergy)

    - #### ReadSSO

          public int ReadSSO(java.lang.String filename)

    - #### ReFoldSingleStrand

          public int ReFoldSingleStrand()

    - #### ReFoldSingleStrand

          public int ReFoldSingleStrand(float percent)

    - #### ReFoldSingleStrand

          public int ReFoldSingleStrand(float percent,
                                        int maximumstructures)

    - #### ReFoldSingleStrand

          public int ReFoldSingleStrand(float percent,
                                        int maximumstructures,
                                        int window)

    - #### RemoveBasePair

          public int RemoveBasePair(int i)

    - #### RemoveBasePair

          public int RemoveBasePair(int i,
                                    int structurenumber)

    - #### RemoveConstraints

          public void RemoveConstraints()

    - #### RemovePairs

          public int RemovePairs()

    - #### RemovePairs

          public int RemovePairs(int structurenumber)

    - #### RemovePairs

          public int RemovePairs(int structurenumber,
                                 boolean removeIfLastStructure)

    - #### ResetError

          public void ResetError()

    - #### SetErrorDetails

          public void SetErrorDetails(java.lang.String details)

    - #### SetExtrinsic

          public int SetExtrinsic(int i,
                                  int j,
                                  double k)

    - #### SetProgress

          public void SetProgress(ProgressHandler Progress)

    - #### SpecifyPair

          public int SpecifyPair(int i,
                                 int j)

    - #### SpecifyPair

          public int SpecifyPair(int i,
                                 int j,
                                 int structurenumber)

    - #### Stochastic

          public int Stochastic()

    - #### Stochastic

          public int Stochastic(int structures)

    - #### Stochastic

          public int Stochastic(int structures,
                                int seed)

    - #### StopProgress

          public void StopProgress()

    - #### WriteConstraints

          public int WriteConstraints(java.lang.String filename)

    - #### WriteCt

          public int WriteCt(java.lang.String filename)

    - #### WriteDotBracket

          public int WriteDotBracket(java.lang.String filename)

    - #### WriteDotBracket

          public int WriteDotBracket(java.lang.String filename,
                                     int structurenumber)

    - #### WriteDotBracket

          public int WriteDotBracket(java.lang.String filename,
                                     int structurenumber,
                                     DotBracketFormat format)

    - #### WriteThermodynamicDetails

          public int WriteThermodynamicDetails(java.lang.String filename)

    - #### WriteThermodynamicDetails

          public int WriteThermodynamicDetails(java.lang.String filename,
                                               boolean UseSimpleMBLoopRules)